## python-scciclient 0.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
Babel>=1.3
requests>=2.2.0,!=2.4.0
six>=1.9.0

## python-scciclient 0.1.0

=== debian/changelog ===
python-scciclient (0.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Added missing build-depends on openstack-pkg-tools and inconditionally
    include pkgos.make. Also adds missing build-depends on python{3,}-pbr.
    Thanks to Chris West for the bug report (Closes: #789849).
  * Removed versions of build-depends already satisfied in Jessie/Trusty.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2015 15:50:36 +0200

python-scciclient (0.0.1-2) unstable; urgency=medium

  * Added missing python-sphinx build-depends.
  * Fixed capitalization in long desc.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Feb 2015 23:47:31 +0100

python-scciclient (0.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #777121)

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Feb 2015 11:05:35 +0100

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-coverage,
                     python-hacking,
                     python-httpretty,
                     python-oslosphinx,
                     python-oslotest (>= 1.2.0),
                     python-requests,
                     python-testscenarios,
                     python-testtools,
                     python3-babel,
                     python3-httpretty,
                     python3-oslotest (>= 1.2.0),
                     python3-requests,
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-scciclient.git
Vcs-Git: git://anonscm.debian.org/openstack/python-scciclient.git
Homepage: https://github.com/NaohiroTamura/python-scciclient

Package: python-scciclient
Architecture: all
Depends: python-babel,
         python-pbr,
         python-requests,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 2.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 2.x module.

Package: python3-scciclient
Architecture: all
Depends: python3-babel,
         python3-pbr,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

Package: python-scciclient-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

## python-scciclient 0.2.0

=== debian/changelog ===
python-scciclient (0.2.0-2) unstable; urgency=medium

  * Uplodaing to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 22:36:48 +0000

python-scciclient (0.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 16:01:47 +0000

=== debian/control ===
--- 
+++ 
@@ -15,15 +15,20 @@
                python3-setuptools,
 Build-Depends-Indep: python-babel,
                      python-coverage,
+                     python-fixtures,
                      python-hacking,
                      python-httpretty,
+                     python-mock,
                      python-oslosphinx,
                      python-oslotest (>= 1.2.0),
                      python-requests,
+                     python-six (>= 1.9.0),
                      python-testscenarios,
                      python-testtools,
                      python3-babel,
+                     python3-fixtures,
                      python3-httpretty,
+                     python3-mock,
                      python3-oslotest (>= 1.2.0),
                      python3-requests,
                      python3-subunit,
@@ -41,6 +46,7 @@
 Depends: python-babel,
          python-pbr,
          python-requests,
+         python-six (>= 1.9.0),
          ${misc:Depends},
          ${python:Depends},
 Suggests: python-scciclient-doc,
@@ -57,6 +63,7 @@
 Depends: python3-babel,
          python3-pbr,
          python3-requests,
+         python3-six (>= 1.9.0),
          ${misc:Depends},
          ${python3:Depends},
 Suggests: python-scciclient-doc,

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/NaohiroTamura/python-scciclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-scciclient; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-scciclient; \
	done
	rm -rf $(CURDIR)/debian/python*-python-scciclient/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-scciclient-doc/usr/share/doc/python-scciclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/python-scciclient python-scciclient-(.*).tar.gz

## python-scciclient 0.4.0

=== debian/changelog ===
python-scciclient (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * Raise dh version to 10
  * Set standards version to 3.9.8 for Stretch
  * Add python-requests-mock as build-dependency

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 13 Nov 2017 12:43:22 +0200

python-scciclient (0.2.0-3) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Black list test: SCCITestCase.test_get_report_ok.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Dec 2015 09:53:32 +0100

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-coverage,
 python-fixtures,
 python-hacking,
 python-httpretty,
 python-mock,
 python-oslosphinx,
 python-oslotest (>= 1.10.0),
 python-requests,
 python-requests-mock,
 python-six (>= 1.9.0),
 python-testscenarios,
 python-testtools,
 python3-babel,
 python3-fixtures,
 python3-httpretty,
 python3-mock,
 python3-oslotest (>= 1.10.0),
 python3-requests,
 python3-requests-mock,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
 testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-scciclient.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-scciclient.git
Homepage: https://github.com/NaohiroTamura/python-scciclient

Package: python-scciclient
Architecture: all
Depends:
 python-babel,
 python-pbr,
 python-requests,
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 2.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 2.x module.

Package: python-scciclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel,
 python3-pbr,
 python3-requests,
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

## python-scciclient 0.6.1

=== debian/changelog ===
python-scciclient (0.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 20:47:23 +0000

python-scciclient (0.6.1-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Black list test: SCCITestCase.test_get_report_ok.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Change upstream URL to new github repo on openstack namespace.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install}.
  * Using github tag over HTTPS for watch file.
  * Standards-Version is now 4.1.3.
  * Update debian/copyright years and ordering.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2018 17:17:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-pbr,
+ python-pbr (>= 2.0.0),
  python-setuptools,
- python-sphinx,
+ python-sphinx (>= 1.6.2),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
 Build-Depends-Indep:
  python-babel,
@@ -22,37 +22,49 @@
  python-hacking,
  python-httpretty,
  python-mock,
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.utils (>= 3.33.0),
  python-oslosphinx,
- python-oslotest (>= 1.10.0),
+ python-oslotest (>= 1:3.2.0),
+ python-pyghmi (>= 1.0.22),
+ python-pysnmp4,
  python-requests,
- python-requests-mock,
- python-six (>= 1.9.0),
+ python-requests-mock (>= 1.1.0),
+ python-six,
  python-testscenarios,
- python-testtools,
+ python-testtools (>= 2.2.0),
  python3-babel,
  python3-fixtures,
  python3-httpretty,
  python3-mock,
- python3-oslotest (>= 1.10.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:1.2.0),
+ python3-pyghmi (>= 1.0.22),
+ python3-pysnmp4,
  python3-requests,
- python3-requests-mock,
+ python3-requests-mock (>= 1.1.0),
  python3-subunit,
  python3-testscenarios,
- python3-testtools,
+ python3-testtools (>= 2.2.0),
  subunit,
  testrepository,
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-scciclient.git
-Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-scciclient.git
-Homepage: https://github.com/NaohiroTamura/python-scciclient
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scciclient
+Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scciclient.git
+Homepage: https://github.com/openstack/python-scciclient
 
 Package: python-scciclient
 Architecture: all
 Depends:
  python-babel,
- python-pbr,
+ python-oslo.serialization (>= 2.18.0),
+ python-oslo.utils (>= 3.33.0),
+ python-pbr (>= 2.0.0),
+ python-pyghmi (>= 1.0.22),
+ python-pysnmp4,
  python-requests,
- python-six (>= 1.9.0),
+ python-six,
  ${misc:Depends},
  ${python:Depends},
 Suggests:
@@ -83,9 +95,13 @@
 Architecture: all
 Depends:
  python3-babel,
- python3-pbr,
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-pbr (>= 2.0.0),
+ python3-pyghmi (>= 1.0.22),
+ python3-pysnmp4,
  python3-requests,
- python3-six (>= 1.9.0),
+ python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-scciclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test 'scciclient\.tests\.irmc\.(?!(.*test_scci\.SCCITestCase\.test_get_report_ok.*))'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-scciclient-doc/usr/share/doc/python-scciclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/python-scciclient/tags .*/(\d[\d\.]+)\.tar\.gz

## python-scciclient 0.7.2

=== debian/changelog ===
python-scciclient (0.7.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 16:58:29 +0200

python-scciclient (0.7.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Python 2 support.
  * Add py3.7-fix-async-keyword.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 13:50:50 +0200

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-oslosphinx,
 python3-babel,
 python3-fixtures,
 python3-httpretty,
 python3-mock <!nocheck>,
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.2.0) <!nocheck>,
 python3-pyghmi (>= 1.0.22),
 python3-pysnmp4,
 python3-requests,
 python3-requests-mock (>= 1.2.0) <!nocheck>,
 python3-testscenarios <!nocheck>,
 python3-testtools (>= 2.2.0) <!nocheck>,
 subunit <!nocheck>,
 testrepository <!nocheck>,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scciclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scciclient.git
Homepage: https://github.com/openstack/python-scciclient

Package: python-scciclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel,
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyghmi (>= 1.0.22),
 python3-pysnmp4,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

## python-scciclient 0.8.0

=== debian/changelog ===
python-scciclient (0.8.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Jul 2019 23:52:05 +0200

python-scciclient (0.8.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Removed versions when satisfied in Buster.
  * Removed py3.7-fix-async-keyword.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Mar 2019 11:30:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,34 +5,31 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
- python3-pbr (>= 2.0.0),
+ python3-pbr,
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx,
 Build-Depends-Indep:
- python3-oslosphinx,
  python3-babel,
  python3-fixtures,
  python3-httpretty,
  python3-mock <!nocheck>,
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
- python3-oslotest (>= 1:1.2.0) <!nocheck>,
- python3-pyghmi (>= 1.0.22),
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-oslosphinx,
+ python3-oslotest <!nocheck>,
+ python3-pyghmi,
  python3-pysnmp4,
  python3-requests,
- python3-requests-mock (>= 1.2.0) <!nocheck>,
+ python3-requests-mock <!nocheck>,
+ python3-stestr,
  python3-testscenarios <!nocheck>,
- python3-testtools (>= 2.2.0) <!nocheck>,
+ python3-testtools <!nocheck>,
  subunit <!nocheck>,
- testrepository <!nocheck>,
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scciclient
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scciclient.git
 Homepage: https://github.com/openstack/python-scciclient
@@ -55,10 +52,10 @@
 Architecture: all
 Depends:
  python3-babel,
- python3-oslo.serialization (>= 2.18.0),
- python3-oslo.utils (>= 3.33.0),
- python3-pbr (>= 2.0.0),
- python3-pyghmi (>= 1.0.22),
+ python3-oslo.serialization,
+ python3-oslo.utils,
+ python3-pbr,
+ python3-pyghmi,
  python3-pysnmp4,
  python3-requests,
  python3-six,

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/python-scciclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'scciclient\.tests\.irmc\.(?!(.*test_scci\.SCCITestCase\.test_get_report_ok.*))'
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_sphinxdoc:
	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-scciclient-doc/usr/share/doc/python-scciclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

## python-scciclient 0.8.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
pyghmi>=1.0.22 # Apache-2.0
pysnmp>=4.2.3 # BSD
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-scciclient (0.8.1-0ubuntu4) groovy; urgency=medium

  * d/control, d/p/drop-oslosphinx.patch: Drop use of deprecated oslosphinx.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 02 Oct 2020 13:30:49 -0400

python-scciclient (0.8.1-0ubuntu3) groovy; urgency=medium

  * d/rules: Run sphinx with python3.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 01 Oct 2020 16:16:07 -0400

python-scciclient (0.8.1-0ubuntu2) groovy; urgency=medium

  * d/control: Drop remaining py2 Build-Depends.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jun 2020 15:02:09 -0400

python-scciclient (0.8.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 13:56:14 -0400

python-scciclient (0.8.0-0ubuntu2) eoan; urgency=medium

  * d/control: Drop BDI's on python-* packages.
  * d/control: Drop python-scciclient binary package.
  * d/rules: Tweak to stop build and install of Python 2 parts.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 11 Jul 2019 14:31:00 +0200

python-scciclient (0.8.0-0ubuntu1) disco; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get release tarballs from tarballs.openstack.org.
  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 15:37:24 -0500

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httpretty,
 python3-mock (>= 2.0.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyghmi (>= 1.0.22),
 python3-pysnmp4 (>= 4.2.3),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-subunit (>= 1.0.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-scciclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-scciclient
Homepage: https://github.com/openstack/python-scciclient

Package: python-scciclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyghmi (>= 1.0.22),
 python3-pysnmp4 (>= 4.2.3),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

## python-scciclient 0.9.1

=== debian/changelog ===
python-scciclient (0.9.1-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 21:36:18 +0000

python-scciclient (0.9.1-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 11:21:18 -0400

## python-scciclient 0.10.0

=== doc/requirements.txt ===

sphinx!=1.6.6,!=1.6.7,>=1.6.2
oslosphinx>=4.7.0 # Apache-2.0

=== debian/changelog ===
python-scciclient (0.10.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 15:33:49 -0400

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,9 @@
  python3-mock (>= 2.0.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
+ python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
- python3-pyghmi (>= 1.0.22),
+ python3-pyghmi (>= 1.0.24),
  python3-pysnmp4 (>= 4.2.3),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
@@ -33,8 +34,8 @@
  python3-testtools (>= 2.2.0),
  python3-testrepository,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-scciclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-scciclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-scciclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-scciclient
 Homepage: https://github.com/openstack/python-scciclient
 
 Package: python-scciclient-doc
@@ -58,7 +59,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-pbr (>= 2.0.0),
- python3-pyghmi (>= 1.0.22),
+ python3-pyghmi (>= 1.0.24),
  python3-pysnmp4 (>= 4.2.3),
  python3-requests (>= 2.14.2),
  python3-six (>= 1.10.0),

## python-scciclient 0.11.1

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
-pyghmi>=1.0.22 # Apache-2.0
+pyghmi>=1.0.24 # Apache-2.0
 pysnmp>=4.2.3 # BSD
 requests>=2.14.2 # Apache-2.0
 six>=1.10.0 # MIT

=== debian/changelog ===
python-scciclient (0.11.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/p/drop-oslosphinx.patch, d/control: Dropped python3-oslosphinx. Fixed
    upstream.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:10:36 -0500

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-babel (>= 2.3.4),
  python3-coverage (>= 4.0),
@@ -20,9 +20,9 @@
  python3-hacking (>= 0.12.0),
  python3-httpretty,
  python3-mock (>= 2.0.0),
+ python3-openstackdocstheme (>= 2.2.1),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
- python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
  python3-pyghmi (>= 1.0.24),
  python3-pysnmp4 (>= 4.2.3),

## python-scciclient 0.12.3

=== requirements.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 pyghmi>=1.0.24 # Apache-2.0
 pysnmp>=4.2.3 # BSD
 requests>=2.14.2 # Apache-2.0
+defusedxml>=0.7.0 # PSF
 six>=1.10.0 # MIT
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-scciclient (0.12.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 16:58:37 +0200

python-scciclient (0.12.3-1) experimental; urgency=medium

  * d/rules: new UPSTREAM_GIT.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 21:34:47 +0200

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-defusedxml (>= 0.7.0),
 python3-fixtures,
 python3-httpretty,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-pyghmi,
 python3-pysnmp4,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-stestr,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scciclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scciclient.git
Homepage: https://opendev.org/x/python-scciclient

Package: python-scciclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel,
 python3-defusedxml (>= 0.7.0),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyghmi,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-UPSTREAM_GIT := https://github.com/openstack/python-scciclient.git
+UPSTREAM_GIT := https://opendev.org/x/python-scciclient
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -25,5 +25,7 @@
 	rm -rf build
 
 override_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-scciclient-doc/usr/share/doc/python-scciclient-doc/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
+endif

## python-scciclient 0.15.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,9 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 Babel!=2.4.0,>=2.3.4 # BSD
 pyghmi>=1.0.24 # Apache-2.0
-pysnmp>=4.2.3 # BSD
+pysnmp-lextudio>=5.0.0 # BSD
+pyasn1-lextudio>=1.1.0 # BSD
+pyasn1-modules-lextudio>=0.2.0 # BSD
 requests>=2.14.2 # Apache-2.0
 defusedxml>=0.7.0 # PSF
 six>=1.10.0 # MIT

=== debian/changelog ===
python-scciclient (0.15.0-0ubuntu2) mantic; urgency=medium

  * d/control: Revert back to python3-pysnmp4 (Build-)Depends
    to prevent dependency conflicts in Mantic (LP: #2039055).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Oct 2023 09:11:26 -0400

python-scciclient (0.15.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 13:31:38 -0400

python-scciclient (0.12.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:42:26 -0400

python-scciclient (0.12.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Jul 2022 14:46:14 -0400

python-scciclient (0.11.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:38:36 -0400

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-defusedxml (>= 0.7.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httpretty,
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pyghmi (>= 1.0.24),
 python3-pysnmp4,
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-subunit (>= 1.0.0),
 python3-stestr (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-scciclient
Homepage: https://opendev.org/x/python-scciclient

Package: python-scciclient-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-defusedxml (>= 0.7.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-pyghmi (>= 1.0.24),
 python3-pysnmp4,
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-scciclient/ python-scciclient-(\d.*)\.tar\.gz

## python-scciclient 0.16.0

=== requirements.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 pyghmi>=1.0.24 # Apache-2.0
 pysnmp-lextudio>=5.0.0 # BSD
-pyasn1-lextudio>=1.1.0 # BSD
-pyasn1-modules-lextudio>=0.2.0 # BSD
+pyasn1>=0.5.1 # BSD
+pyasn1-modules>=0.3.0 # BSD
 requests>=2.14.2 # Apache-2.0
 defusedxml>=0.7.0 # PSF
 six>=1.10.0 # MIT

=== debian/changelog ===
python-scciclient (0.16.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090610).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:55:30 +0100

python-scciclient (0.16.0-2) unstable; urgency=medium

  * Add fix-dependencies.patch to avoid dependency on the -lextudio version
    of pysnmp.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 09:41:08 +0200

python-scciclient (0.16.0-1) unstable; urgency=medium

  * New upstream release.
  * Add use-raw-strings-to-avoid-warning.patch.
  * Add autopkgtest.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 08:42:02 +0200

python-scciclient (0.15.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:34:47 +0200

python-scciclient (0.15.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 11 Sep 2023 12:22:20 +0200

python-scciclient (0.12.3-3) unstable; urgency=medium

  * Cleans better (Closes: #1048514).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:14:17 +0200

=== debian/control ===
Source: python-scciclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-defusedxml (>= 0.7.0),
 python3-fixtures,
 python3-httpretty,
 python3-openstackdocstheme <!nodoc>,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest <!nocheck>,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pyasyncore,
 python3-pyghmi,
 python3-pysnmp4,
 python3-requests,
 python3-requests-mock <!nocheck>,
 python3-stestr,
 python3-testscenarios <!nocheck>,
 python3-testtools <!nocheck>,
 subunit <!nocheck>,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scciclient
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scciclient.git
Homepage: https://opendev.org/x/python-scciclient

Package: python-scciclient-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Python ServerView Common Command Interface (SCCI) Client Library - doc
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the documentation.

Package: python3-scciclient
Architecture: all
Depends:
 python3-babel,
 python3-defusedxml (>= 0.7.0),
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-pyasn1,
 python3-pyasn1-modules,
 python3-pyasyncore,
 python3-pyghmi,
 python3-pysnmp4,
 python3-requests,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-scciclient-doc,
Description: Python ServerView Common Command Interface (SCCI) Client Library - Python 3.x
 This package provides the Python ServerView Common Command Interface (SCCI)
 Client Library, which support FUJITSU iRMC S4 integrated Remote Management
 Controller. This Python module may be helpful if you want to use Ironic to
 manage a FUJITSU server that has this hardware.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	echo "Do nothing..."
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -21,11 +23,11 @@
 endif
 
 override_dh_clean:
-	dh_clean -O--buildsystem=python_distutils
+	dh_clean -O--buildsystem=pybuild
 	rm -rf build
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html doc/source debian/python-scciclient-doc/usr/share/doc/python-scciclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif

## python-scciclient 0.17.0

=== requirements.txt ===
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
pyghmi>=1.0.24 # Apache-2.0
pysnmp-lextudio>=5.0.0 # BSD
pyasn1>=0.5.1 # BSD
pyasn1-modules>=0.3.0 # BSD
requests>=2.14.2 # Apache-2.0
defusedxml>=0.7.0 # PSF
oslo.utils>=3.33.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0

=== debian/changelog ===
python-scciclient (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch from python3-pysnmp4 to python3-pysnmp.
  * Add pysnmp7-compat.patch (Closes: #1117426).
  * Blacklist all snmp tests until upstream gain pysnmp7 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Oct 2025 08:20:52 +0200

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-pyasn1-modules,
  python3-pyasyncore,
  python3-pyghmi,
- python3-pysnmp4,
+ python3-pysnmp,
  python3-requests,
  python3-requests-mock <!nocheck>,
  python3-stestr,
@@ -64,7 +64,7 @@
  python3-pyasn1-modules,
  python3-pyasyncore,
  python3-pyghmi,
- python3-pysnmp4,
+ python3-pysnmp,
  python3-requests,
  python3-six,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'scciclient\.tests\.irmc\.(?!(.*test_scci\.SCCITestCase\.test_get_report_ok.*))'
+	pkgos-dh_auto_test --no-py2 'scciclient\.tests\.irmc\.(?!(.*test_scci\.SCCITestCase\.test_get_report_ok.*|test_snmp.*))'
 endif
 
 override_dh_clean:
